> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Split Pattern

> POST /patterns/{pattern_id}/split  {member_ids_out[]}  -> 201 {pin_id}

API-IMPLEMENTATION-SPEC.md §6.4: creates a `split` pin — the anchor stage
excludes these issues from {pattern_id}'s loop on the NEXT engine run
(they mint or inherit independently instead of counting toward this
loop's majority vote).



## OpenAPI

````yaml /openapi.json post /v1/patterns/{pattern_id}/split
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/patterns/{pattern_id}/split:
    post:
      tags:
        - patterns
      summary: Split Pattern
      description: >-
        POST /patterns/{pattern_id}/split  {member_ids_out[]}  -> 201 {pin_id}


        API-IMPLEMENTATION-SPEC.md §6.4: creates a `split` pin — the anchor
        stage

        excludes these issues from {pattern_id}'s loop on the NEXT engine run

        (they mint or inherit independently instead of counting toward this

        loop's majority vote).
      operationId: split_pattern_v1_patterns__pattern_id__split_post
      parameters:
        - in: path
          name: pattern_id
          required: true
          schema:
            title: Pattern Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SplitPatternRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    SplitPatternRequest:
      properties:
        member_ids_out:
          items:
            type: string
          minItems: 1
          title: Member Ids Out
          type: array
      required:
        - member_ids_out
      title: SplitPatternRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````